.grid{
    --gap: 0;
    display: flex;
    flex-wrap: wrap;
}

.flex {
    display: flex;
    flex-wrap: wrap;
}

.grid.vertical, .flex.vertical {
    flex-direction: column;
}

.grid.nowrap {
    flex-wrap: nowrap;
}

.grid.gutter-xs {
    --gap: calc(var(--dimen-xs) / 2);
}

.grid.gutter-sm {
    --gap: calc(var(--dimen-sm) / 2);
}

.grid.gutter-md {
    --gap: calc(var(--dimen-md) / 2);
}

.grid.gutter-lg {
    --gap: calc(var(--dimen-lg) / 2);
}

.grid.gutter-xl {
    --gap: calc(var(--dimen-xl) / 2);
}

.grid.gutter-between {
    justify-content: space-between;
}

.grid.gutter-around {
    justify-content: space-around;
}

.grid[class^="gutter-"],
.grid[class*=" gutter-"] {
    margin-left: calc(-1 * var(--gap)) !important;
    margin-right: calc(-1 * var(--gap)) !important;
    margin-bottom: calc(-1 * var(--gap) * 2) !important;
}

.grid > * {
    padding: 0 var(--gap) calc(var(--gap) * 2) var(--gap) !important;
}

.m-center {
    justify-content: center;
}

.m-space-evenly {
    justify-content: space-evenly;
}

.m-end {
    justify-content: flex-end;
}

.c-center {
    align-items: center;
}

.c-end {
    align-items: flex-end;
}

.col.grow {
    flex: 1;
}

.col-1 {
    flex-basis: 8.3333%;
}

.col-2 {
    flex-basis: 16.6667%;
}

.col-3 {
    flex-basis: 25%;
}

.col-4 {
    flex-basis: 33.3333%;
}

.col-5 {
    flex-basis: 41.6667%;
}

.col-6 {
    flex-basis: 50%;
}

.col-7 {
    flex-basis: 58.3333%;
}

.col-8 {
    flex-basis: 66.6667%;
}

.col-9 {
    flex-basis: 75%;
}

.col-10 {
    flex-basis: 83.3333%;
}

.col-11 {
    flex-basis: 91.6667%;
}

.col-12 {
    flex-basis: 100%;
}

@media screen and (min-width: 576px) {
    .col-xs-1 {
        flex-basis: 8.3333%;
    }

    .col-xs-2 {
        flex-basis: 16.6667%;
    }

    .col-xs-3 {
        flex-basis: 25%;
    }

    .col-xs-4 {
        flex-basis: 33.3333%;
    }

    .col-xs-5 {
        flex-basis: 41.6667%;
    }

    .col-xs-6 {
        flex-basis: 50%;
    }

    .col-xs-7 {
        flex-basis: 58.3333%;
    }

    .col-xs-8 {
        flex-basis: 66.6667%;
    }

    .col-xs-9 {
        flex-basis: 75%;
    }

    .col-xs-10 {
        flex-basis: 83.3333%;
    }

    .col-xs-11 {
        flex-basis: 91.6667%;
    }

    .col-xs-12 {
        flex-basis: 100%;
    }
}

@media screen and (min-width: 768px) {
    .col-sm-1 {
        flex-basis: 8.3333%;
    }

    .col-sm-2 {
        flex-basis: 16.6667%;
    }

    .col-sm-3 {
        flex-basis: 25%;
    }

    .col-sm-4 {
        flex-basis: 33.3333%;
    }

    .col-sm-5 {
        flex-basis: 41.6667%;
    }

    .col-sm-6 {
        flex-basis: 50%;
    }

    .col-sm-7 {
        flex-basis: 58.3333%;
    }

    .col-sm-8 {
        flex-basis: 66.6667%;
    }

    .col-sm-9 {
        flex-basis: 75%;
    }

    .col-sm-10 {
        flex-basis: 83.3333%;
    }

    .col-sm-11 {
        flex-basis: 91.6667%;
    }

    .col-sm-12 {
        flex-basis: 100%;
    }
}

@media screen and (min-width: 992px) {
    .col-md-1 {
        flex-basis: 8.3333%;
    }

    .col-md-2 {
        flex-basis: 16.6667%;
    }

    .col-md-3 {
        flex-basis: 25%;
    }

    .col-md-4 {
        flex-basis: 33.3333%;
    }

    .col-md-5 {
        flex-basis: 41.6667%;
    }

    .col-md-6 {
        flex-basis: 50%;
    }

    .col-md-7 {
        flex-basis: 58.3333%;
    }

    .col-md-8 {
        flex-basis: 66.6667%;
    }

    .col-md-9 {
        flex-basis: 75%;
    }

    .col-md-10 {
        flex-basis: 83.3333%;
    }

    .col-md-11 {
        flex-basis: 91.6667%;
    }

    .col-md-12 {
        flex-basis: 100%;
    }
}

@media screen and (min-width: 1200px) {
    .col-lg-1 {
        flex-basis: 8.3333%;
    }

    .col-lg-2 {
        flex-basis: 16.6667%;
    }

    .col-lg-3 {
        flex-basis: 25%;
    }

    .col-lg-4 {
        flex-basis: 33.3333%;
    }

    .col-lg-5 {
        flex-basis: 41.6667%;
    }

    .col-lg-6 {
        flex-basis: 50%;
    }

    .col-lg-7 {
        flex-basis: 58.3333%;
    }

    .col-lg-8 {
        flex-basis: 66.6667%;
    }

    .col-lg-9 {
        flex-basis: 75%;
    }

    .col-lg-10 {
        flex-basis: 83.3333%;
    }

    .col-lg-11 {
        flex-basis: 91.6667%;
    }

    .col-lg-12 {
        flex-basis: 100%;
    }
}
